### Method

# Gtk TreeViewColumn set_max_width

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_set_max_width (
      GtkTreeViewColumn* tree_column,
      int max_width
    )

#### Description [src]

Sets the maximum width of the `tree_column`. If `max_width` is -1, then the maximum width is unset. Note, the column can actually be wider than max width if it’s the last column in a view. In this case, the column expands to fill any extra space.

Deprecated since: 4.10

Use GtkColumnView instead.

Sets property | `Gtk.TreeViewColumn:max-width`

#### Parameters

`max_width`

  Type: `int`

  The maximum width of the column in pixels, or -1.